require 'devise'
require 'devise-encryptable'

module BcryptHmac
  class Railtie < Rails::Railtie
    initializer 'bcrypt_hmac.define_devise_encryptor' do
      Devise::Encryptable::Encryptors.const_set 'BcryptHmac', BcryptHmac::Encryptor
    end
  end
end
